Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.resolve
[Java] Interface DependencyResolver

    public interface DependencyResolver

Defines methods to resolve dependencies based on a supplied dependency definition.

Authors:
  Graeme Rocher

Since:
  1.2

Method Summary
`java.util.Set` | `getModuleRevisionIds(java.lang.String organisation)` Obtains the ModuleRevisionId instances for the given organisation name
`org.apache.ivy.core.report.ResolveReport` | `resolveDependencies()`

Method Detail

### getModuleRevisionIds

    public java.util.Set getModuleRevisionIds(java.lang.String organisation)

  Obtains the ModuleRevisionId instances for the given organisation name
  Parameters:
    `organisation` - The organisation name
  Returns:
    The ModuleRevisionId

### resolveDependencies

    public org.apache.ivy.core.report.ResolveReport resolveDependencies()

Groovy Documentation